/*
 * 由SharpDevelop创建。
 * 用户： Administrator
 * 日期: 2019-01-27
 * 时间: 14:03
 * 
 * 要改变这种模板请点击 工具|选项|代码编写|编辑标准头文件
 */
using System;
using System.Text;

namespace GameData
{
	/// <summary>
	/// 进入桌子包
	/// </summary>
	public class InDeskPack{
		/// <summary>
		/// 进入的房间编号
		/// </summary>
		public int roomid;
		
		/// <summary>
		/// 进入的厅编号
		/// </summary>
		public int tingid;
		
		/// <summary>
		/// 进入的桌子编号  >=0 表示进入指定房间
		/// </summary>
		public int deskid;
		
		/// <summary>
		/// 
		/// </summary>
		public InDeskPack(){}
		
		/// <summary>
		/// 
		/// </summary>
		/// <param name="roomid"></param>
		/// <param name="tingid"></param>
		/// <param name="deskid"></param>
		public InDeskPack(int roomid,int tingid,int deskid){
			this.roomid = roomid;
			this.tingid = tingid;
			this.deskid = deskid;
		}

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string ToString()
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("roomid:");
            sb.Append(roomid);
            sb.Append(Environment.NewLine);
            sb.Append("tingid:");
            sb.Append(tingid);
            sb.Append(Environment.NewLine);
            sb.Append("deskid:");
            sb.Append(deskid);
            sb.Append(Environment.NewLine);
            return sb.ToString();
        }

    }
}
